> For the complete documentation index, see [llms.txt](https://docs.teranode.group/tng-identity-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.teranode.group/tng-identity-documentation/tng-identity-issuers/issuer-api/api-documentation/credential-offer-collections.md).

# Credential Offer Collections

## List Credential Offer Collections

> Returns an array of credential offer collections in the environment.\<hr />\*\*Claim-based access control:\*\* \<code>Issuer\_Admin\</code>, \<code>Issuer\_Auditor\</code>, \<code>Issuer\_User\</code>

```json
{"openapi":"3.0.0","info":{"title":"Identity Issuer Backend Documentation","version":"dev"},"servers":[{"url":"{hostname}","description":"Issuer Backend REST API Server","variables":{"hostname":{"default":"https://identity.nchainplatform.com/products/web/$IDENTITY_ENV_ID/issuer/api"}}}],"security":[{},{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"PaginatedDto":{"type":"object","properties":{"data":{"title":"Array of entities","type":"array","items":{"type":"object"}},"meta":{"title":"Pagination Metadata","allOf":[{"$ref":"#/components/schemas/PaginatedMetaDto"}]},"links":{"title":"Links to pages","allOf":[{"$ref":"#/components/schemas/PaginatedLinksDto"}]}},"required":["data","meta","links"]},"PaginatedMetaDto":{"type":"object","properties":{"itemsPerPage":{"type":"number","title":"Number of items per page"},"totalItems":{"type":"number","title":"Total number of items"},"currentPage":{"type":"number","title":"Current requested page"},"totalPages":{"type":"number","title":"Total number of pages"},"sortBy":{"type":"array","title":"Sorting by columns","items":{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"string","enum":["ASC","DESC"]}]}}},"filter":{"type":"object","title":"Filters that applied to the query"}},"required":["itemsPerPage","totalItems","currentPage","totalPages"]},"PaginatedLinksDto":{"type":"object","properties":{"first":{"type":"string","title":"Link to first page"},"previous":{"type":"string","title":"Link to previous page"},"current":{"type":"string","title":"Link to current page"},"next":{"type":"string","title":"Link to next page"},"last":{"type":"string","title":"Link to last page"}}},"CredentialOfferCollectionDetailDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"createdBy":{"type":"string","format":"uuid"},"createdAt":{"format":"date-time","type":"string"},"name":{"type":"string","minLength":1,"maxLength":50}},"required":["id","name"]}}},"paths":{"/private/credential-offer-collections":{"get":{"operationId":"CredentialOfferCollectionsController_listCredentialOfferCollections","summary":"List Credential Offer Collections","description":"Returns an array of credential offer collections in the environment.<hr />**Claim-based access control:** <code>Issuer_Admin</code>, <code>Issuer_Auditor</code>, <code>Issuer_User</code>","parameters":[{"name":"page","required":false,"in":"query","description":"Page number to retrieve.If you provide invalid value the default page number will applied\n        <p>\n             <b>Example: </b> 1\n          </p>\n        <p>\n             <b>Default Value: </b> 1\n          </p>\n        ","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","description":"Number of records per page.\n      <p>\n             <b>Example: </b> 20\n          </p>\n      <p>\n             <b>Default Value: </b> 20\n          </p>\n      <p>\n             <b>Max Value: </b> 100\n          </p>\n\n      If provided value is greater than max value, max value will be applied.\n      ","schema":{"type":"number"}},{"name":"filter.name","required":false,"in":"query","description":"Filter by name query param.\n          <p>\n             <b>Format: </b> filter.name={$not}:OPERATION:VALUE\n          </p>\n          <p>\n             <b>Example: </b> filter.name=$not:$like:John Doe&filter.name=like:John\n          </p>\n          <h4>Available Operations</h4><ul><li>$eq</li>\n<li>$ilike</li></ul>","schema":{"type":"array","items":{"type":"string"}}},{"name":"sortBy","required":false,"in":"query","description":"Parameter to sort by.\n      <p>To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting</p>\n      <p>\n             <b>Format: </b> fieldName:DIRECTION\n          </p>\n      <p>\n             <b>Example: </b> sortBy=id:DESC&sortBy=createdAt:ASC\n          </p>\n      <p>\n             <b>Default Value: </b> createdAt:DESC\n          </p>\n      <h4>Available Fields</h4><ul><li>createdAt</li></ul>\n      ","schema":{"type":"array","items":{"type":"string","enum":["createdAt:ASC","createdAt:DESC"]}}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PaginatedDto"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/CredentialOfferCollectionDetailDto"}},"meta":{"properties":{"select":{"type":"array","items":{"type":"string"}},"filter":{"type":"object","properties":{"name":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]}}}}}}}]}}}},"401":{"description":"Invalid authentication credentials."},"403":{"description":"User does not have a required claim to perform this operation."}},"tags":["Credential Offer Collections"]}}}}
```

## Create Credential Offer Collection

> Creates a new credential offer collection in the environment.\<hr />\*\*Claim-based access control:\*\* \<code>Issuer\_Admin\</code>, \<code>Issuer\_User\</code>

```json
{"openapi":"3.0.0","info":{"title":"Identity Issuer Backend Documentation","version":"dev"},"servers":[{"url":"{hostname}","description":"Issuer Backend REST API Server","variables":{"hostname":{"default":"https://identity.nchainplatform.com/products/web/$IDENTITY_ENV_ID/issuer/api"}}}],"security":[{},{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"CreateCredentialOfferCollectionDto":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":50}},"required":["name"]},"CredentialOfferCollectionDetailDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"createdBy":{"type":"string","format":"uuid"},"createdAt":{"format":"date-time","type":"string"},"name":{"type":"string","minLength":1,"maxLength":50}},"required":["id","name"]}}},"paths":{"/private/credential-offer-collections":{"post":{"operationId":"CredentialOfferCollectionsController_createCredentialOfferCollection","summary":"Create Credential Offer Collection","description":"Creates a new credential offer collection in the environment.<hr />**Claim-based access control:** <code>Issuer_Admin</code>, <code>Issuer_User</code>","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCredentialOfferCollectionDto"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CredentialOfferCollectionDetailDto"}}}},"400":{"description":"Invalid request body"},"401":{"description":"Invalid authentication credentials."},"403":{"description":"User does not have a required claim to perform this operation."}},"tags":["Credential Offer Collections"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.teranode.group/tng-identity-documentation/tng-identity-issuers/issuer-api/api-documentation/credential-offer-collections.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
